#
# spec file for package python-funcy
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-funcy
Version:        1.1
Release:        2.1
Summary:        A fancy and practical functional tools
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/Suor/funcy
Source:         https://pypi.python.org/packages/source/f/funcy/funcy-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A collection of fancy functional tools focused on practicality.

Inspired by clojure, underscore and my own abstractions.

%prep
%setup -q -n funcy-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG README.rst LICENSE VERSION
%{python_sitelib}/funcy/
%{python_sitelib}/funcy-%{version}-py*.egg-info

%changelog
* Mon Jul 14 2014 toddrme2178@gmail.com
- - Initial version
